<template>
  <div style="z-index: 1000; position: fixed; width:100%" class="nav-bar">
    <!-- <b-navbar toggleable="lg" variant="dark" type="dark">
      <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

      <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav>
          <b-nav-item>
            <router-link to="/" class="navbar-anchor">Home</router-link>
          </b-nav-item>
          <b-nav-item>
            <router-link to="/ask_your_question" class="navbar-anchor">Ask your questions</router-link>
          </b-nav-item>
          <b-nav-item>
            <router-link
              to="/dietitian_and_nutritionist"
              class="navbar-anchor"
            >dietitian and nutritionist</router-link>
          </b-nav-item>
          <b-nav-item>
            <router-link to="/recipes" class="navbar-anchor">recipes</router-link>
          </b-nav-item>
          <b-nav-item>
            <router-link to="/store" class="navbar-anchor">Store</router-link>
          </b-nav-item>
        </b-navbar-nav>


        <b-navbar-nav class="ml-auto">
          <b-nav-item-dropdown right>

            <template v-slot:button-content>
              <em>User</em>
            </template>
            <b-dropdown-item>
              <router-link to="/user" class="navbar-anchor">Profile</router-link>
            </b-dropdown-item>
            <b-dropdown-item href="/register">Sign Out</b-dropdown-item>
          </b-nav-item-dropdown>
          <router-link to="/cart" class="navbar-anchor">
            <b-icon icon="cart" class="border rounded p-2 mt-1 ml-2 mr-2 text-white" font-scale="2"></b-icon>
          </router-link>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>-->
    <nav>
      <ul class="nav-bar">
        <li>
          <router-link to="/" class="navbar-anchor">
            <img
              id="header-img"
              style="height: 80px;"
              class="header-img"
              src="../assets/images/Yellow.png"
            />
          </router-link>
        </li>
        <li class="nav-link">
          <!-- <a class="nav-link" href="#home">Home</a> -->
          <router-link to="/" class="nav-link">Home</router-link>
        </li>
        <li class="nav-link">
          <router-link to="/dietitian_and_nutritionist" class="nav-link">dietitian and nutritionist</router-link>
        </li>
        <li class="nav-link">
          <router-link to="/ask_your_question" class="nav-link">Ask your questions</router-link>
        </li>
        <li class="nav-link">
          <router-link to="/recipes" class="nav-link">recipes</router-link>
        </li>
        <li class="nav-link">
          <router-link to="/classes" class="nav-link">classes</router-link>
        </li>
        <li class="nav-link">
          <!-- <a class="nav-link" href="#contact">Contact</a> -->
          <router-link to="/store" class="nav-link">Store</router-link>
        </li>
        
        <li class="search">
          <!-- <b-dropdown size="lg" v-if="first_name != null" variant="link" toggle-class="text-decoration-none" no-caret>
            <template v-slot:button-content>
              <div>{{first_name}}</div>
            </template>
            <b-dropdown-item href="#">Action</b-dropdown-item>
            <b-dropdown-item href="#">Another action</b-dropdown-item>
          </b-dropdown> -->


          <b-nav-item-dropdown v-if="first_name != null">
            <!-- Using 'button-content' slot -->
            <template v-slot:button-content>
              <em>{{first_name}}</em>
            </template>
            <!-- <b-dropdown-item href="#">Profile</b-dropdown-item> -->
            <b-dropdown-item href="#" @click="logout">Sign Out</b-dropdown-item>
        </b-nav-item-dropdown>

          
          <!-- <router-link to="/login" class="nav-link" v-if="first_name != ''">{{first_name}}</router-link> -->
          <router-link to="/login" class="nav-link" v-else>Sign in</router-link>
        </li>
        <li>
          <router-link to="/cart" class="navbar-anchor">
            <img id="header-img" class="header-img" src="../assets/images/shopping-cart.svg" />
          </router-link>
        </li>
      </ul>
    </nav>
  </div>
</template>
<script>
import cookie from 'vue-cookie';
import { stores } from '.././main';
export default {
  data() {
    return{
      first_name : this.$store.state.user.first_name
    }
  },
  mounted() {
    debugger
    console.log('user->', this.$store.state.user)

    this.first_name = cookie.get('first_name')
    console.log('firstname->', this.first_name);
  },
  created(){
    this.$root.$on('userUpdate', function(user_boolean) {
      this.first_name = cookie.get('first_name')
      console.log('created user->', this.$store.state.user)
    })
  },
  methods:{
    logout : function() {
      cookie.delete('first_name');
      stores.dispatch('setUser', {})
      this.first_name = null;
      this.routes.push('/') 
    }
  },
  // watch: {
  //   firstName: function (val) {

  //   }
  // }
}
</script>

<style scoped>
@import url(https://fonts.googleapis.com/css?family=Lobster);
@import url("https://fonts.googleapis.com/css2?family=Grenze+Gotisch:wght@200;300;500;900&family=Oswald&display=swap");
.header-img {
  height: 70px;
  padding-top: 15% !important;
  padding-right: 15% !important;
  padding-bottom: 15% !important;
  cursor: pointer;
}
:root {
  --gray: #ffffff;
  --font: "Grenze Gotisch", cursive;
  --font2: "Oswald", sans-serif;
}

body {
  font-family: "Lobster";
  align-items: center;
  background-size: repeaty;
  background-color: black;
  background-image: url("https://mcdn.wallpapersafari.com/medium/45/53/mei1fn.png");
}
/*-------------navbar----------------*/
.nav-bar {
  padding: 10px;
  background-color: var(--white);
  position: fixed;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  left: 0px;
  margin: 0;
  top: 0em;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.search-input {
  background-color: black;
  font-family: var(--font2);
  color: white;
}

.search {
  margin-top: auto;
  margin-bottom: auto;
  margin-left: auto;
  padding-right: 50px;
  padding-bottom: 10px;
}
.nav-bar > li {
  font-size: 1.5em;
  color: black !important;
  list-style-type: none;
  /* font-family: var(--font); */
  font-family: "Lobster";
}
.nav-link {
  text-decoration: none;
  position: relative;
  color: black;
  padding-right: 15px;
  padding-left: 15px;
  margin-top: auto;
  margin-bottom: auto;
}

.nav-link:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: black;
  transform: scaleX(0);
  transition: all 0.5s;
  transform-origin: left;
}

.nav-link:hover:before,
.nav-link:hover:after {
  transform: scale(1);
}

.nav-link:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: black;
  transform: scaleX(0);
  transition: all 0.5s;
  transform-origin: right;
}

.header-img {
  height: 70px;
  padding-top: 25%;
  padding-right: 15px;
}

.icon {
  position: relative;
  color: black;
  font-size: 1em;
  margin-left: auto;
  padding-right: 75px;
}

.icon:hover {
  color: white;
}
a,a em,a em::after,.dropdown-toggle {
  color: black !important;
}
/*------------------navbar---------------------*/

/*------------------navbar media---------------------*/

@media all and (max-width: 600px) {
  .nav-bar {
    flex-wrap: wrap;
    font-size: 1em;
  }
  .nav-bar > li {
    flex: 1 1 50%;
  }
  .search > input {
    text-align: center;
  }
}

@media all and (max-width: 400px) {
  .nav-bar > li {
    flex: 1 1 100%;
  }

  .search {
    order: 1;
  }
}

.navbar {
  padding: 1rem 1rem !important;
}
.navbar-anchor,
.navbar-anchor:hover,
.navbar-anchor:focus,
.navbar-anchor:active {
  color: inherit;
  text-decoration: none;
  cursor: pointer;
}
/* .navbar-anchor {
  text-decoration: none;
  cursor: pointer;
} */
</style>
